Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.util
Class ConversionUtil

    java.lang.Object
      org.apache.cayenne.util.ConversionUtil

    public final class ConversionUtil

extends java.lang.Object

A collection of static conversion utility methods.

Since:
  1.1
Author:
  Andrei Adamchik

Method Summary
`static java.math.BigDecimal` | `toBigDecimal(java.lang.Object object)`
`static boolean` | `toBoolean(java.lang.Object object)`
`static java.lang.Comparable` | `toComparable(java.lang.Object object)` Attempts to convert an object to Comparable instance.
`static int` | `toInt(java.lang.Object object, int defaultValue)`
`static java.lang.String` | `toString(java.lang.Object object)` Attempts to convert an object to Comparable instance.
`static java.lang.Object` | `toUpperCase(java.lang.Object object)` Attempts to convert an object to an uppercase string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### toInt

    public static int toInt(java.lang.Object object,
                            int defaultValue)

### toBoolean

    public static boolean toBoolean(java.lang.Object object)

### toBigDecimal

    public static java.math.BigDecimal toBigDecimal(java.lang.Object object)

### toComparable

    public static java.lang.Comparable toComparable(java.lang.Object object)

  Attempts to convert an object to Comparable instance.

### toString

    public static java.lang.String toString(java.lang.Object object)

  Attempts to convert an object to Comparable instance.

### toUpperCase

    public static java.lang.Object toUpperCase(java.lang.Object object)

  Attempts to convert an object to an uppercase string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.